package SortFieldDisabler::CMS;

use strict;

sub add_css {
    my ($cb, $app, $tmpl) = @_;

    my $mode = $app->param('__mode');
    my $type = $app->param('_type');
    return if !(($mode eq 'view') && ($type eq 'entry' || $type eq 'page'));

    my $plugin = MT->component("SortFieldDisabler");
    my $disable_sort = $plugin->get_config_value('disable_sort', 'blog:'.$app->blog->id);
    return if !$disable_sort;

    my $old = <<HTML;
<mt:var name="html_head">
HTML
    $old = quotemeta($old);

    my $new = <<HTML;
<style>
.sort-enabled .field-header {
    background-image: none!important;
}
.sort-enabled:hover,
.sort-enabled .field-header {
    cursor: default!important;
}
.sort-enabled .field-header label {
    margin-left: 0!important;
}
</style>
<mt:var name="html_head">
HTML

    $$tmpl =~ s/$old/$new/;
}

sub change_script {
    my ($cb, $app, $tmpl) = @_;

    my $plugin = MT->component("SortFieldDisabler");
    my $disable_sort = $plugin->get_config_value('disable_sort', 'blog:'.$app->blog->id);
    return if !$disable_sort;

    my $old = <<HTML;
handle: '.field-header',
HTML
    $old = quotemeta($old);

    my $new = <<HTML;
handle: '.field-header2',
HTML

    $$tmpl =~ s/$old/$new/;
}

1;
